package projectzombie.items;

import projectzombie.init.Items;
import projectzombie.init.Models;
import projectzombie.items.modifier.ItemModifierMeta;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemMetal extends Item
{
	@Override
	public ModelItem getModel(ItemStack stack)
	{
		switch(ItemModifierMeta.getStackMeta(stack))
		{
		case 0: return Models.ITEM_IRON;
		case 1: return Models.ITEM_COPPER;
		case 2: return Models.ITEM_TIN;
		case 3: return Models.ITEM_GOLD;
		default: return Models.ITEM_MISSING;
		}
	}

	@Override
	public String getName(ItemStack stack)
	{
		switch(ItemModifierMeta.getStackMeta(stack))
		{
		case 0: return "Iron";
		case 1: return "Copper";
		case 2: return "Tin";
		case 3: return "Gold";
		default: return "Metal";
		}
	}
}
